com.tibbo.aggregate.common.event

## Class ContextEventListenerSet

- java.lang.Object
- - com.tibbo.aggregate.common.event.ContextEventListenerSet

-     public class ContextEventListenerSet
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextEventListenerSet(AbstractContext context)`
    `ContextEventListenerSet(ContextManager contextManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addListener(ContextEventListener listener, boolean weak)`
    `void` | `clear()`
    `boolean` | `contains(ContextEventListener listener)`
    `void` | `dispatch(Event event, EventDefinition eventDefinition, EventData eventData)`
    `void` | `executeForEachListener(java.util.function.Consumer<ContextEventListenerInfo> action)`
    `ContextManager` | `getContextManager()`
    `boolean` | `hasListeners()`
    `boolean` | `removeListener(ContextEventListener listener)`
    `boolean` | `shouldHandle(Event event)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextEventListenerSet

          public ContextEventListenerSet(AbstractContext context)

    - #### ContextEventListenerSet

          public ContextEventListenerSet(ContextManager contextManager)

  - ### Method Detail

    - #### dispatch

          public void dispatch(Event event,
                               EventDefinition eventDefinition,
                               EventData eventData)

    - #### shouldHandle

          public boolean shouldHandle(Event event)

    - #### executeForEachListener

          public void executeForEachListener(java.util.function.Consumer<ContextEventListenerInfo> action)

    - #### hasListeners

          public boolean hasListeners()

    - #### size

          public int size()

    - #### addListener

          public boolean addListener(ContextEventListener listener,
                                     boolean weak)

    - #### removeListener

          public boolean removeListener(ContextEventListener listener)

    - #### contains

          public boolean contains(ContextEventListener listener)

    - #### clear

          public void clear()

    - #### getContextManager

          public ContextManager getContextManager()